Bug 990017

Summary: [abrt] WARNING: at drivers/gpu/drm/i915/intel_display.c:7898 intel_modeset_check_state+0x5d0/0x720 [i915]()
Product: [Fedora] Fedora Reporter: Nils Philippsen <nphilipp>
Component: xorg-x11-drv-intelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: ajax, gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, nphilipp, xgl-maint
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:5784b396b58152ffcec938b6facbba442c3a3ec5
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 11:26:13 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Description Flags
File: dmesg
Screenshot of the garbled characters in gnome-terminal none

Description Nils Philippsen 2013-07-30 05:13:09 EDT
Description of problem:
Not sure but I strongly suspect it's related to multiple hibernate/suspend-resume cycles.

Additional info:
reporter:       libreport-2.1.5
WARNING: at drivers/gpu/drm/i915/intel_display.c:7898 intel_modeset_check_state+0x5d0/0x720 [i915]()
encoder's hw state doesn't match sw tracking (expected 1, found 0)
Modules linked in: vhost_net macvtap macvlan tcp_lp fuse ebtable_nat xt_CHECKSUM nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle tun ip6t_REJECT bridge stp llc nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables rfcomm ip6table_filter ip6_tables bnep dm_crypt snd_hda_codec_hdmi snd_hda_codec_conexant iTCO_wdt iTCO_vendor_support mperf coretemp arc4 kvm_intel kvm iwldvm uvcvideo mac80211 crc32_pclmul videobuf2_vmalloc videobuf2_memops crc32c_intel videobuf2_core snd_hda_intel videodev snd_hda_codec ghash_clmulni_intel media microcode snd_hwdep snd_seq snd_seq_device iwlwifi joydev e1000e snd_pcm i2c_i801 cfg80211 btusb bluetooth sdhci_pci sdhci lpc_ich thinkpad_acpi ptp mmc_core mfd_core snd_page_alloc snd_timer pps_core tpm_tis snd wmi soundcore tpm rfkill tpm_bios nfsd auth_rpcgss nfs_acl lockd sunrpc binfmt_misc uinput i915 i2c_algo_bit drm_kms_helper firewire_ohci drm firewire_core i2c_core crc_itu_t video
CPU: 3 PID: 848 Comm: Xorg Not tainted 3.10.3-300.fc19.x86_64 #1
Hardware name: LENOVO 4243BQ9/4243BQ9, BIOS 8AET52WW (1.32 ) 09/15/2011
 0000000000000009 ffff8801eafe3a58 ffffffff81643216 ffff8801eafe3a90
 ffffffff8105c211 ffff880210203478 0000000000000001 ffff880210203000
 ffff880210203460 ffff88021007d000 ffff8801eafe3af0 ffffffff8105c27c
Call Trace:
 [<ffffffff81643216>] dump_stack+0x19/0x1b
 [<ffffffff8105c211>] warn_slowpath_common+0x61/0x80
 [<ffffffff8105c27c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffffa00dc6e0>] intel_modeset_check_state+0x5d0/0x720 [i915]
 [<ffffffff8101083e>] ? __switch_to+0x3ce/0x4a0
 [<ffffffff8106b41b>] ? lock_timer_base.isra.35+0x2b/0x50
 [<ffffffff8106bf7f>] ? try_to_del_timer_sync+0x4f/0x70
 [<ffffffffa00f3ee9>] ? ironlake_compute_srwm.part.14+0x169/0x2a0 [i915]
 [<ffffffffa00ac2b1>] ? i915_write32+0x81/0x120 [i915]
 [<ffffffffa00f5d2e>] ? intel_update_fbc+0x2ae/0x4b0 [i915]
 [<ffffffffa00d3a05>] ? ironlake_crtc_disable+0x615/0x8d0 [i915]
 [<ffffffffa00dc870>] intel_connector_dpms+0x40/0x70 [i915]
 [<ffffffffa004ef68>] drm_mode_obj_set_property_ioctl+0x308/0x320 [drm]
 [<ffffffffa004efb0>] drm_mode_connector_property_set_ioctl+0x30/0x40 [drm]
 [<ffffffffa003e2c2>] drm_ioctl+0x532/0x670 [drm]
 [<ffffffff811a9435>] do_vfs_ioctl+0x305/0x520
 [<ffffffff8128aa8e>] ? file_has_perm+0x8e/0xa0
 [<ffffffff8119930e>] ? ____fput+0xe/0x10
 [<ffffffff811a96d1>] SyS_ioctl+0x81/0xa0
 [<ffffffff81651819>] system_call_fastpath+0x16/0x1b
Comment 1 Nils Philippsen 2013-07-30 05:13:16 EDT
Created attachment 780474 [details]
File: dmesg
Comment 2 Nils Philippsen 2013-07-30 05:22:17 EDT
NB: Related to that, since updating to kernel-3.10.3-300.fc19.x86_64 (from 3.9.9-302.fc19.x86_64), the display is weirdly garbled when resuming. Upon restarting gnome-shell (Alt+F2, R), most of it is fixed, only some programs (e.g. gnome-terminal, not in the terminal window, but e.g. in the menu) display the "G", "O" and "x" characters wrongly.
Comment 3 Nils Philippsen 2013-07-30 05:23:20 EDT
Created attachment 780475 [details]
Screenshot of the garbled characters in gnome-terminal
Comment 4 Fedora End Of Life 2015-01-09 14:10:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:26:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.